//package sablon;

import java.io.IOException;
import java.lang.Math;
import java.io.PrintStream;

import mester.IO;


public class feladat {

    public feladat() {
    }

    static final int MaxN = 100;

    static class Tanulo {
        String nev;
        double atlag;
    }

    static class Input {
        int N;
        Tanulo[] X = new Tanulo[MaxN];
    }

    static class Output {
        int Db;
        String[] Nev = new String[MaxN];
    }

    static Input beolvas(IO io) throws IOException {
        PrintStream cerr = System.err;
        Input input = new Input();
        input.N = io.nextInt();
        String tmp = io.getLine();   // sorvégi enter beolvasása
        for (int i = 0; i < input.N; i++) {
            input.X[i] = new Tanulo();
            cerr.print((i + 1) + ". név: ");
            input.X[i].nev = io.getLine();
            cerr.print((i + 1) + ". átlag: ");
            tmp = io.getLine();
            input.X[i].atlag = Double.parseDouble(tmp);
        }
        return input;
    }

    static void kiir(IO io, Input input, Output output) throws IOException {
        io.write(output.Db + " ");
        for (int i = 1; i <= output.Db; i++) {
            io.write(output.Nev[i - 1] + ", ");
        }
        io.writeLn("");
    }

    static Output Kivalogatas(Input input) {
        Output output = new Output();
        output.Db = 0;
        for (int i = 1; i <= input.N; i++) {
            if (input.X[i - 1].atlag >= 4) {
                output.Db++;
                output.Nev[output.Db - 1] = input.X[i - 1].nev;
            }
        }
        return output;
    }

    public static void main(String[] args) throws Exception {
        IO io = new IO();

        Input input = beolvas(io);

        Output output = Kivalogatas(input);

        kiir(io, input, output);

        io.close();
    }

}